@import '../px-flexbox-design/base.flexbox.scss';
//.editable_field {
//  background-color: $gray16;
//  border:none;
//  color: var(--px-base-text-color, #2c404c);
//  font-size: 20px;
//  font-weight: bold;
//  height: 27px;
//}
//
//.editable_field:focus {
//  color:var(--px-input-text-color, #2c404c);
//}
//
//.selected {
//  border-color: $inuit-btn-border-color--pressed;
//  box-shadow: none;
//  background-color: $gray20 !important;
//}

.table {
  border-collapse: separate;
  min-width:100%;
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.table td {
  //font-size:x-large;
  //font-weight: bold;
  //padding: var(--lumo-space-xs) var(--lumo-space-xs);
  padding-left:1px;
  padding-right:1px;
  //border-bottom-color: var(--lumo-body-text-color);
  //--_lumo-grid-secondary-border-color: var(--lumo-contrast-10pct);
  //border-bottom-width: 1px;
  //--_lumo-grid-selected-row-color: var(--lumo-primary-color-10pct);
  border-bottom:1px solid var(--lumo-contrast-10pct);
  border-right:1px solid var(--lumo-contrast-10pct);
}

.table th {
  //font-size:xx-large;
  font-weight: bold;
  text-align: left;
  padding: var(--lumo-space-xs) var(--lumo-space-xs);
  //border-bottom:1px solid var(--_lumo-grid-secondary-border-color);
}
//.table .rowspan {
//  border-bottom: 1px solid var(--px-table-separator-color, #b6c3cc);
//  border-left: 1px solid var(--px-table-separator-color, #b6c3cc);
//  border-top: 1px solid var(--px-table-separator-color, #b6c3cc);
//}
//
//.table tr:last-of-type td {
//  border-bottom: 1px solid var(--px-table-separator-color, #b6c3cc);
//}

thead tr {
  height:53px;
}
thead th {
  flex-grow: 1;
  font-size:16px;
  background: var(--lumo-base-color);
	position: sticky;
  top: 0;
  z-index: 1;
  font-weight: 500;
  border-bottom:1px solid var(--lumo-contrast-10pct);
  border-right:1px solid var(--lumo-contrast-10pct);
}

.row {
  flex-grow: 1;
  width: 100%;
  box-sizing: border-box;
  margin: 0;
  //--_lumo-grid-border-color: var(--lumo-contrast-20pct);
  //--_lumo-grid-secondary-border-color: var(--lumo-contrast-10pct);
  //--_lumo-grid-border-width: 1px;
  //--_lumo-grid-selected-row-color: var(--lumo-primary-color-10pct);
}

.even-row {
  background-image: linear-gradient(var(--lumo-contrast-5pct), var(--lumo-contrast-5pct));
  background-repeat: repeat-x;
}

.selected {
  background-image: linear-gradient(var(--lumo-primary-color-10pct), var(--lumo-primary-color-10pct));
  background-repeat: repeat;
}

.thcell {
  flex-grow: 1;
  //--_lumo-grid-border-color: var(--lumo-contrast-20pct);
  //--_lumo-grid-secondary-border-color: var(--lumo-contrast-10pct);
  //--_lumo-grid-border-width: 1px;
  //--_lumo-grid-selected-row-color: var(--lumo-primary-color-10pct);
}

//.row-blue {
//  background-color: $status-blue4;
//}
//.row-red {
//  background-color: $red8;
//}
//.row-orange {
//  background-color: $status-orange4;
//}
//.row-yellow {
//  background-color: $status-yellow4;
//}
//.row-green {
//  background-color: $status-green4;
//}
//.row-require {
//  background-color: $gray14;
//}
